# TODO adjust human resources
---
# city level
# 基本建設規則
# 若遭受攻擊則暫停建設
- is_attacked:
    # we are in Peace :D
    0:
      - is_constructing:
         0:
            # FIXME: 這樣會一口氣買同等城市數量的船耶, 應拉出至全國金錢考量
            # - is_gold_enoughforcargo:
               # 1: increaseTransporter
            - is_corruption:
               1:
                  - is_warehouse_enougn_for_governorsresidence:
                     0: build_warehouse
                     1: build_palaceColony
            - is_any_corruption:
               0: 
                  - is_space_enough:
                     0: 
                        - is_resource_enoghforHall:
                           1: build_townHall
                  - is_happiness:
                     0:
                       - is_museum_enough:
                          0:
                           - is_culturalexchange_resaerched:
                              1: build_museum
                       - is_winepress_researched:
                           1:
                              - is_tavern_available:
                                 0: build_tavern
                                 1: 
                                    - is_bacchanal:
                                       0: set_tavern
                                       1: build_tavern
                  - is_wall_enough:
                     0: build_wall
                  - is_shipyard_level_enough:
                     0:
                        - is_professionalarmy_researched:
                           1: build_shipyard
                  - is_barracks_level_enough:
                     0:
                        - is_professionalarmy_researched:
                           1: build_barracks
                  - is_safehouse_enough:
                     0:
                        - is_espionage_researched:
                           1: build_safehouse
                  - is_academy_enough:
                     0: build_academy
                  # 大使館
                  - is_embassy_enough:
                     0:
                        - is_foreigncultures_researched:
                           1: build_embassy 
                  - is_museum_enough:
                     0:
                        - is_culturalexchange_resaerched:
                           1: build_museum
                  - is_warehouse_enough:
                     0:
                        - is_conservation_researched:
                           1: build_warehouse
                           0: build_academy

# 水晶島應該建設 
# is_invention_researched
#    1: 
#       - build_workshop 
